Bug 188868 - [patch] mail/dovecot add stage support
Summary: [patch] mail/dovecot add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 22:20 UTC by Olli Hauer
Modified: 2014-05-18 18:15 UTC (History)
1 user (show)

See Also:


Attachments
stage_dovecot.diff (17.72 KB, patch)
2014-04-21 22:20 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2014-04-21 22:20:02 UTC
- add stage support
- massive cleanup
- use USERS and GROUPS instead old pkg-install
- bump BDB version to 4.8 (everything below will is target to remove in near future)
- fix PLIST_SUB for SQL, before result was only speculation ...
- sort pkg-plist


In case the patch is mangled it can be optained from:
http://people.freebsd.org/~ohauer/diffs/stage/stage_dovecot.diff

Please test the patch, I hope I catched any constellation
Comment 1 Edwin Groothuis freebsd_committer 2014-04-21 22:20:09 UTC
Maintainer of mail/dovecot,

Please note that PR ports/188868 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188868

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-21 22:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Olli Hauer freebsd_committer 2014-05-18 15:36:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

Take my own PR
Comment 4 dfilter service freebsd_committer 2014-05-18 18:05:19 UTC
Author: ohauer
Date: Sun May 18 17:05:12 2014
New Revision: 354439
URL: http://svnweb.freebsd.org/changeset/ports/354439
QAT: https://qat.redports.org/buildarchive/r354439/

Log:
  - add stage support
  - bump PORTREVISION
  - add USES=libtool:keepla
  - sort pkg-plist
  - use USER/GROUP support from framework (remove pkg-install)
  
  PR:		ports/188868
  Submitted by:	ohauer
  Approved by:	maintainer timeout (4 weeks)

Deleted:
  head/mail/dovecot/files/pkg-install.in
Modified:
  head/mail/dovecot/Makefile
  head/mail/dovecot/files/pkg-deinstall.in
  head/mail/dovecot/pkg-plist

Modified: head/mail/dovecot/Makefile
==============================================================================
--- head/mail/dovecot/Makefile	Sun May 18 17:03:40 2014	(r354438)
+++ head/mail/dovecot/Makefile	Sun May 18 17:05:12 2014	(r354439)
@@ -3,16 +3,18 @@
 
 PORTNAME=	dovecot
 PORTVERSION=	1.2.17
+PORTREVISION=	1
 CATEGORIES=	mail ipv6
-MASTER_SITES=	http://www.dovecot.org/releases/${DOVECOTVERSION}/ \
-		http://www.rename-it.nl/dovecot/${DOVECOTVERSION}/
+MASTER_SITES=	http://www.dovecot.org/releases/${PORTVERSION:R}/ \
+		http://www.rename-it.nl/dovecot/${PORTVERSION:R}/
 
 MAINTAINER=	yds@CoolRat.org
 COMMENT=	Secure and compact IMAP and POP3 servers
 
-CONFLICTS=	dovecot2-*
+LICENSE=	LGPL21 MIT
+LICENSE_COMB=	dual
 
-DOVECOTVERSION=	1.2
+CONFLICTS=	dovecot2-2.[0-9].*
 
 ######################################################################
 # Anytime PORTVERSION changes please bump PORTREVISIONs of           #
@@ -26,48 +28,85 @@ DOVECOTVERSION=	1.2
 # consult the maintainer of those ports before updating this one.    #
 ######################################################################
 
-USES=		iconv
+USES=		iconv libtool:keepla
 USE_RC_SUBR=	dovecot
 
 GNU_CONFIGURE=	yes
-CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ARGS=		--localstatedir=/var \
-			--with-statedir=/var/db/dovecot \
-			--without-shadow
+CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS=	--localstatedir=/var \
+		--with-statedir=/var/db/dovecot \
+		--without-shadow
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
+
 USE_LDCONFIG=	${PREFIX}/lib/dovecot \
 		${PREFIX}/lib/dovecot/imap \
 		${PREFIX}/lib/dovecot/pop3 \
 		${PREFIX}/lib/dovecot/lda
 
-.if defined(NOPORTDOCS)
-CONFIGURE_ARGS+=	--without-docs
-.else
-DOCS=		AUTHORS COPYING COPYING.LGPL COPYING.MIT INSTALL NEWS TODO README
-PORTDOCS=	*.txt wiki ${DOCS}
-.endif
-
-DOVECOT_UID?=	143
-DOVECOT_GID?=	143
+USERS=		dovecot
+GROUPS=		${USERS}
 
 PROTOCOLS=	imap pop3
 
+# Default requirement for dovecot rc script
+_REQUIRE=	LOGIN
+
 OPTIONS_DEFINE=	KQUEUE SSL MANAGESIEVE GSSAPI VPOPMAIL BDB LDAP PGSQL MYSQL SQLITE
 OPTIONS_DEFAULT=	KQUEUE SSL MANAGESIEVE
 KQUEUE_DESC=		kqueue(2) support
 MANAGESIEVE_DESC=	ManageSieve support
 VPOPMAIL_DESC=		VPopMail support
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+OPTIONS_SUB=		yes
+BDB_CFLAGS=		-I${BDB_INCLUDE_DIR} -L${BDB_LIB_DIR}
+BDB_CONFIGURE_WITH=	db
+BDB_USE=		BDB=48+
+DOCS_CONFIGURE_WITH=	docs
+GSSAPI_CONFIGURE_WITH=	gssapi
+GSSAPI_LDFLAGS=		-lgssapi_krb5
+KQUEUE_CONFIGURE_ON=	--with-ioloop=kqueue
+LDAP_CONFIGURE_WITH=	ldap
+LDAP_USE=		OPENLDAP=yes
+MYSQL_CONFIGURE_WITH=	mysql
+MYSQL_USE=		MYSQL=yes
+PGSQL_CONFIGURE_WITH=	pgsql
+PGSQL_USE=		PGSQL=yes
+SQLITE_CONFIGURE_WITH=	sqlite
+SQLITE_USE=		SQLITE=3
+SSL_CONFIGURE_OFF=	--without-ssl
+SSL_CONFIGURE_ON=	--with-ssl=openssl
+VPOPMAIL_BUILD_DEPENDS=	${LOCALBASE}/vpopmail/bin/vchkpw:${PORTSDIR}/mail/vpopmail
+VPOPMAIL_CONFIGURE_WITH=vpopmail
+
+.include <bsd.port.options.mk>
 
 .if ${ARCH} == "arm"
 BROKEN=		Does not build on arm
 .endif
 
-# Default requirement for dovecot rc script
-_REQUIRE=	LOGIN
+DOCS=		AUTHORS COPYING COPYING.LGPL COPYING.MIT INSTALL NEWS TODO README
+PORTDOCS=	*
+
+.if ${PORT_OPTIONS:MSSL}
+PROTOCOLS+=	imaps pop3s
+.endif
+
+.if ${PORT_OPTIONS:MLDAP}
+_REQUIRE+=	slapd
+.endif
+
+.if ${PORT_OPTIONS:MPGSQL}
+_REQUIRE+=	postgresql
+.endif
+
+.if ${PORT_OPTIONS:MMYSQL}
+_REQUIRE+=	mysql
+.endif
+
+SUB_LIST+=	REQUIRE="${_REQUIRE}"
+SUB_FILES+=	pkg-deinstall pkg-message
 
 # sed script for dovecot.conf
 REINPLACE=	s!%%PROTOCOLS%%!${PROTOCOLS}!g;\
@@ -78,22 +117,10 @@ REINPLACE=	s!%%PROTOCOLS%%!${PROTOCOLS}!
 		s![[:<:]]doc/(dovecot-[^-]+)-example.conf[[:>:]]!${EXAMPLESDIR}/\1.conf!g;\
 		s!\#sendmail_path = /usr/.*!sendmail_path = /usr/sbin/sendmail!g;
 
-## kqueue(2) support
-#
-.if ${PORT_OPTIONS:MKQUEUE}
-CONFIGURE_ARGS+=	--with-ioloop=kqueue
-.endif
-
-## SSL support
-#
-.if ${PORT_OPTIONS:MSSL}
-PROTOCOLS+=		imaps pop3s
-.else
-CONFIGURE_ARGS+=	--without-ssl
+.if ${PORT_OPTIONS:MBDB}
+REINPLACE+=	s!^\#(dict_db_config)!\1!;
 .endif
 
-## ManageSieve support
-#
 .if ${PORT_OPTIONS:MMANAGESIEVE}
 MANAGESIEVEVERSION!=	${MAKE} -C ${.CURDIR}/../dovecot-managesieve -V PORTVERSION
 PATCH_SITES!=		${MAKE} -C ${.CURDIR}/../dovecot-managesieve -V MASTER_SITES
@@ -103,87 +130,12 @@ PROTOCOLS+=		managesieve
 DOCS+=			README.managesieve
 .endif
 
-## GSSAPI support
-#
-.if ${PORT_OPTIONS:MGSSAPI}
-CONFIGURE_ARGS+=	--with-gssapi
-LDFLAGS+=		-lgssapi_krb5
-.else
-CONFIGURE_ARGS+=	--without-gssapi
-.endif
-
-## VPopMail Support
-#
-.if ${PORT_OPTIONS:MVPOPMAIL}
-VPOPMAIL=		${LOCALBASE}/vpopmail/bin/vchkpw
-BUILD_DEPENDS+=		${VPOPMAIL}:${PORTSDIR}/mail/vpopmail
-CONFIGURE_ARGS+=	--with-vpopmail
-.else
-CONFIGURE_ARGS+=	--without-vpopmail
-.endif
-
-## BDB Support
-#
-.if ${PORT_OPTIONS:MBDB}
-USE_BDB=		42+
-CONFIGURE_ARGS+=	--with-db
-CFLAGS+=		-I${BDB_INCLUDE_DIR} -L${BDB_LIB_DIR}
-PLIST_SUB+=		BDB=""
-REINPLACE+=		s!^\#(dict_db_config)!\1!;
-.else
-PLIST_SUB+=		BDB="@comment "
-.endif
-
-## OpenLDAP Support
-#
-.if ${PORT_OPTIONS:MLDAP}
-USE_OPENLDAP=		yes
-CONFIGURE_ARGS+=	--with-ldap
-PLIST_SUB+=		LDAP=""
-_REQUIRE+=		slapd
-.else
-CONFIGURE_ARGS+=	--without-ldap
-PLIST_SUB+=		LDAP="@comment "
-.endif
-
-## PostgreSQL Support
-#
-.if ${PORT_OPTIONS:MPGSQL}
-USE_PGSQL=		yes
-CONFIGURE_ARGS+=	--with-pgsql
-PLIST_SUB+=		SQL=""
-_REQUIRE+=		postgresql
-.else
-CONFIGURE_ARGS+=	--without-pgsql
-PLIST_SUB+=		SQL="@comment "
-.endif
-
-## MySQL Support
-#
-.if ${PORT_OPTIONS:MMYSQL}
-USE_MYSQL=		yes
-CONFIGURE_ARGS+=	--with-mysql
-PLIST_SUB+=		SQL=""
-_REQUIRE+=		mysql
-.else
-CONFIGURE_ARGS+=	--without-mysql
-PLIST_SUB+=		SQL="@comment "
-.endif
-
-## SQLite Support
-#
-.if ${PORT_OPTIONS:MSQLITE}
-USE_SQLITE=		3
-CONFIGURE_ARGS+=	--with-sqlite
-PLIST_SUB+=		SQL=""
+.if ${PORT_OPTIONS:MPGSQL} || ${PORT_OPTIONS:MMYSQL} || ${PORT_OPTIONS:MSQLITE}
+PLIST_SUB+=	SQL=""
 .else
-CONFIGURE_ARGS+=	--without-sqlite
-PLIST_SUB+=		SQL="@comment "
+PLIST_SUB+=	SQL="@comment "
 .endif
 
-SUB_LIST+=		REQUIRE="${_REQUIRE}" DOVECOT_UID=${DOVECOT_UID} DOVECOT_GID=${DOVECOT_GID}
-SUB_FILES+=		pkg-install pkg-deinstall pkg-message
-
 post-patch:
 	@${REINPLACE_CMD} -E -e '${REINPLACE}' \
 		${WRKSRC}/dovecot-example.conf
@@ -197,27 +149,18 @@ post-patch:
 	@${LN} -f ${WRKSRC}/doc/dovecot-ldap-example.conf	${WRKSRC}/doc/dovecot-ldap.conf
 	@${LN} -f ${WRKSRC}/doc/dovecot-sql-example.conf	${WRKSRC}/doc/dovecot-sql.conf
 
-pre-su-install:
-	@${SETENV} ${SCRIPTS_ENV} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/dovecot.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-db.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-dict-sql.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-ldap.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-sql.conf ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-openssl.cnf ${EXAMPLESDIR}
-	${INSTALL_SCRIPT} ${WRKSRC}/doc/mkcert.sh ${EXAMPLESDIR}
-	@${GREP} '^@exec ' ${TMPPLIST} \
-		| ${SED} -e 's:^@exec ::; s:%D:${PREFIX}:g;' \
-		> ${WRKDIR}/.PLIST.exec \
-		&& ${SH} ${WRKDIR}/.PLIST.exec
+	${FIND} ${STAGEDIR}${PREFIX}/lib/ -name \*.so | ${XARGS} strip
+	${INSTALL_DATA} ${WRKSRC}/dovecot.conf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-db.conf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-dict-sql.conf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-ldap.conf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-sql.conf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-openssl.cnf ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${WRKSRC}/doc/mkcert.sh ${STAGEDIR}${EXAMPLESDIR}
+
 .if ${PORT_OPTIONS:MDOCS}
-.for f in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.endfor
+	${INSTALL_DATA} ${DOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 .endif
-	@${SETENV} ${SCRIPTS_ENV} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/mail/dovecot/files/pkg-deinstall.in
==============================================================================
--- head/mail/dovecot/files/pkg-deinstall.in	Sun May 18 17:03:40 2014	(r354438)
+++ head/mail/dovecot/files/pkg-deinstall.in	Sun May 18 17:05:12 2014	(r354439)
@@ -3,62 +3,8 @@
 #	$FreeBSD: /tmp/pcvs/ports/mail/dovecot/files/pkg-deinstall.in,v 1.2 2008-11-28 14:38:26 wxs Exp $
 #
 
-PKG_PREFIX=${PKG_PREFIX:=/usr/local}
-
-ask() {
-	local question default answer
-
-	question=$1
-	default=$2
-	if [ -z "${PACKAGE_BUILDING}" -a -z "${BATCH}" ]; then
-		read -p "${question} [${default}]? " answer
-	fi
-	echo ${answer:-${default}}
-}
-
-yesno() {
-	local question default answer
-
-	question=$1
-	default=$2
-	while :; do
-		answer=$(ask "${question}" "${default}")
-		case "${answer}" in
-		[Yy]*)	return 0;;
-		[Nn]*)	return 1;;
-		esac
-		echo "Please answer yes or no."
-	done
-}
-
-delete_account() {
-	local port user uid group gid
-
-	port=$1
-	user=${2%:*}
-	uid=${2#*:}
-	group=${3%:*}
-	gid=${3#*:}
-
-	echo "If you do not intend to reinstall ${port}, you should manually"
-	echo "remove user '${user}' (uid='${uid}') and group '${group}' (gid='${gid}')."
-}
-
 case $2 in
-
 DEINSTALL)
-	if ps -axc | grep -qw dovecot; then
-		if yesno "Dovecot is still running. Shall I stop it?" y; then
-			${PKG_PREFIX}/etc/rc.d/dovecot stop
-			sleep 2
-		else
-			echo "OK ... I hope you know what you are doing."
-		fi
-	fi
-
-	delete_account Dovecot dovecot:${DOVECOT_UID:-%%DOVECOT_UID%%} dovecot:${DOVECOT_GID:-%%DOVECOT_GID%%}
-
-	echo "Also manually 'rm -rf /var/db/dovecot' if anything was stored there."
+	echo "If you don't intend on reinstalling this port you should manually 'rm -rf /var/db/dovecot' if anything was stored there."
 	;;
-
 esac

Modified: head/mail/dovecot/pkg-plist
==============================================================================
--- head/mail/dovecot/pkg-plist	Sun May 18 17:03:40 2014	(r354438)
+++ head/mail/dovecot/pkg-plist	Sun May 18 17:05:12 2014	(r354439)
@@ -1,8 +1,7 @@
-@dirrmtry include/dovecot
 lib/dovecot/imap/lib01_acl_plugin.so
-lib/dovecot/imap/lib02_imap_acl_plugin.so
-lib/dovecot/imap/lib02_imap_acl_plugin.la
 lib/dovecot/imap/lib02_imap_acl_plugin.a
+lib/dovecot/imap/lib02_imap_acl_plugin.la
+lib/dovecot/imap/lib02_imap_acl_plugin.so
 lib/dovecot/imap/lib02_lazy_expunge_plugin.so
 lib/dovecot/imap/lib10_quota_plugin.so
 lib/dovecot/imap/lib11_imap_quota_plugin.a
@@ -19,7 +18,6 @@ lib/dovecot/imap/lib20_mbox_snarf_plugin
 lib/dovecot/imap/lib20_virtual_plugin.so
 lib/dovecot/imap/lib20_zlib_plugin.so
 lib/dovecot/imap/lib21_fts_squat_plugin.so
-@dirrm lib/dovecot/imap
 lib/dovecot/lda/lib01_acl_plugin.so
 lib/dovecot/lda/lib10_quota_plugin.so
 lib/dovecot/lda/lib11_trash_plugin.so
@@ -31,22 +29,6 @@ lib/dovecot/lda/lib20_listescape_plugin.
 lib/dovecot/lda/lib20_mail_log_plugin.so
 lib/dovecot/lda/lib20_virtual_plugin.so
 lib/dovecot/lda/lib21_fts_squat_plugin.so
-@dirrmtry lib/dovecot/lda
-lib/dovecot/pop3/lib20_autocreate_plugin.so
-lib/dovecot/pop3/lib02_lazy_expunge_plugin.so
-lib/dovecot/pop3/lib10_quota_plugin.so
-lib/dovecot/pop3/lib20_convert_plugin.so
-lib/dovecot/pop3/lib20_expire_plugin.so
-lib/dovecot/pop3/lib20_fts_plugin.so
-lib/dovecot/pop3/lib20_listescape_plugin.so
-lib/dovecot/pop3/lib20_mail_log_plugin.so
-lib/dovecot/pop3/lib20_mbox_snarf_plugin.so
-lib/dovecot/pop3/lib20_virtual_plugin.so
-lib/dovecot/pop3/lib20_zlib_plugin.so
-lib/dovecot/pop3/lib21_fts_squat_plugin.so
-@dirrm lib/dovecot/pop3
-@exec install -o root -g wheel -m 0755 -d %D/lib/dovecot/auth
-@dirrm lib/dovecot/auth
 lib/dovecot/lib01_acl_plugin.a
 lib/dovecot/lib01_acl_plugin.la
 lib/dovecot/lib01_acl_plugin.so
@@ -59,9 +41,9 @@ lib/dovecot/lib10_quota_plugin.so
 lib/dovecot/lib11_trash_plugin.a
 lib/dovecot/lib11_trash_plugin.la
 lib/dovecot/lib11_trash_plugin.so
-lib/dovecot/lib20_autocreate_plugin.so
-lib/dovecot/lib20_autocreate_plugin.la
 lib/dovecot/lib20_autocreate_plugin.a
+lib/dovecot/lib20_autocreate_plugin.la
+lib/dovecot/lib20_autocreate_plugin.so
 lib/dovecot/lib20_convert_plugin.a
 lib/dovecot/lib20_convert_plugin.la
 lib/dovecot/lib20_convert_plugin.so
@@ -71,25 +53,36 @@ lib/dovecot/lib20_expire_plugin.so
 lib/dovecot/lib20_fts_plugin.a
 lib/dovecot/lib20_fts_plugin.la
 lib/dovecot/lib20_fts_plugin.so
-lib/dovecot/lib20_listescape_plugin.so
-lib/dovecot/lib20_listescape_plugin.la
 lib/dovecot/lib20_listescape_plugin.a
+lib/dovecot/lib20_listescape_plugin.la
+lib/dovecot/lib20_listescape_plugin.so
 lib/dovecot/lib20_mail_log_plugin.a
 lib/dovecot/lib20_mail_log_plugin.la
 lib/dovecot/lib20_mail_log_plugin.so
 lib/dovecot/lib20_mbox_snarf_plugin.a
 lib/dovecot/lib20_mbox_snarf_plugin.la
 lib/dovecot/lib20_mbox_snarf_plugin.so
-lib/dovecot/lib20_virtual_plugin.so
-lib/dovecot/lib20_virtual_plugin.la
 lib/dovecot/lib20_virtual_plugin.a
-lib/dovecot/lib20_zlib_plugin.so
+lib/dovecot/lib20_virtual_plugin.la
+lib/dovecot/lib20_virtual_plugin.so
 lib/dovecot/lib20_zlib_plugin.a
 lib/dovecot/lib20_zlib_plugin.la
+lib/dovecot/lib20_zlib_plugin.so
 lib/dovecot/lib21_fts_squat_plugin.a
 lib/dovecot/lib21_fts_squat_plugin.la
 lib/dovecot/lib21_fts_squat_plugin.so
-@dirrmtry lib/dovecot
+lib/dovecot/pop3/lib02_lazy_expunge_plugin.so
+lib/dovecot/pop3/lib10_quota_plugin.so
+lib/dovecot/pop3/lib20_autocreate_plugin.so
+lib/dovecot/pop3/lib20_convert_plugin.so
+lib/dovecot/pop3/lib20_expire_plugin.so
+lib/dovecot/pop3/lib20_fts_plugin.so
+lib/dovecot/pop3/lib20_listescape_plugin.so
+lib/dovecot/pop3/lib20_mail_log_plugin.so
+lib/dovecot/pop3/lib20_mbox_snarf_plugin.so
+lib/dovecot/pop3/lib20_virtual_plugin.so
+lib/dovecot/pop3/lib20_zlib_plugin.so
+lib/dovecot/pop3/lib21_fts_squat_plugin.so
 libexec/dovecot/authtest
 libexec/dovecot/checkpassword-reply
 libexec/dovecot/convert-tool
@@ -110,12 +103,8 @@ libexec/dovecot/pop3-login
 libexec/dovecot/rawlog
 libexec/dovecot/ssl-build-param
 libexec/dovecot/threadview
-@dirrmtry libexec/dovecot
 sbin/dovecot
 sbin/dovecotpw
-@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot.conf %D/etc/dovecot.conf; then rm -f %D/etc/dovecot.conf; fi
-%%EXAMPLESDIR%%/dovecot.conf
-@exec if [ ! -f %D/etc/dovecot.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot.conf %D/etc/dovecot.conf; fi
 %%BDB%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-db.conf %D/etc/dovecot-db.conf; then rm -f %D/etc/dovecot-db.conf; fi
 %%EXAMPLESDIR%%/dovecot-db.conf
 %%BDB%%@exec if [ ! -f %D/etc/dovecot-db.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-db.conf %D/etc/dovecot-db.conf; fi
@@ -125,9 +114,20 @@ sbin/dovecotpw
 %%LDAP%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-ldap.conf %D/etc/dovecot-ldap.conf; then rm -f %D/etc/dovecot-ldap.conf; fi
 %%EXAMPLESDIR%%/dovecot-ldap.conf
 %%LDAP%%@exec if [ ! -f %D/etc/dovecot-ldap.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-ldap.conf %D/etc/dovecot-ldap.conf; fi
+%%EXAMPLESDIR%%/dovecot-openssl.cnf
 %%SQL%%@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot-sql.conf %D/etc/dovecot-sql.conf; then rm -f %D/etc/dovecot-sql.conf; fi
 %%EXAMPLESDIR%%/dovecot-sql.conf
 %%SQL%%@exec if [ ! -f %D/etc/dovecot-sql.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot-sql.conf %D/etc/dovecot-sql.conf; fi
-%%EXAMPLESDIR%%/dovecot-openssl.cnf
+@unexec if cmp -s %D/%%EXAMPLESDIR%%/dovecot.conf %D/etc/dovecot.conf; then rm -f %D/etc/dovecot.conf; fi
+%%EXAMPLESDIR%%/dovecot.conf
+@exec if [ ! -f %D/etc/dovecot.conf ]; then cp -p %D/%%EXAMPLESDIR%%/dovecot.conf %D/etc/dovecot.conf; fi
 %%EXAMPLESDIR%%/mkcert.sh
+@dirrmtry include/dovecot
+@dirrmtry lib/dovecot/auth
+@dirrmtry lib/dovecot/imap
+@dirrmtry lib/dovecot/lda
+@dirrmtry lib/dovecot/pop3
+@dirrmtry lib/dovecot
+@dirrmtry libexec/dovecot
 @dirrm %%EXAMPLESDIR%%
+@exec install -o root -g wheel -m 0755 -d %D/lib/dovecot/auth
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Olli Hauer freebsd_committer 2014-05-18 18:14:46 UTC
State Changed
From-To: feedback->closed

Commited!